Subject: Re: [BUG] push: pre-push hook that waits for stdin is slow

From: Adrian Ratiu <[email-masked]>
Date: Tue, 13 Jan 2026 23:10:16 +0200

On Tue, 13 Jan 2026, Junio C Hamano <[email-masked]> wrote:
> "Kristoffer Haugsbakk" <[email-masked]> writes:
>
>>   Thank you for filling out a Git bug report!
>>   Please answer the following questions to help us understand your issue.
>>
>>   What did you do before the bug happened? (Steps to reproduce your issue)
>>
>> Used `git push` with a pre-push hook which included a loop over standard
>> input (stdin):
>> ...
>> I bisected using `timeout 3 git push ...` with a local remote to
>> 857f047e (hook: allow overriding the ungroup option, 2025-12-26).
>
> A shot in the dark, but it smells somewhat related to what was
> discussed in this thread?
>
>     https://lore.kernel.org/git/[email-masked]/

I'm 99% certain it's the same bug and root cause.

Chris confirmed the v1 fix worked for git-lfs which is great.

I'm very close to sending v2 which includes the regression tests we
discussed.

Many thanks for reporting, sorry for the breakage and thank you for your
patience!